org.apache.tinkerpop.gremlin.server.handler

## Class OpSelectorHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageDecoder<RequestMessage>
      - - org.apache.tinkerpop.gremlin.server.handler.OpSelectorHandler

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      @ChannelHandler.Sharable
      public class OpSelectorHandler
      extends io.netty.handler.codec.MessageToMessageDecoder<RequestMessage>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpSelectorHandler(Settings settings, GraphManager graphManager, GremlinExecutor gremlinExecutor, ScheduledExecutorService scheduledExecutorService, Channelizer channelizer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decode(io.netty.channel.ChannelHandlerContext ctx, RequestMessage msg, List<Object> objects)`
    `void` | `userEventTriggered(io.netty.channel.ChannelHandlerContext ctx, Object evt)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### OpSelectorHandler

          public OpSelectorHandler(Settings settings,
                                   GraphManager graphManager,
                                   GremlinExecutor gremlinExecutor,
                                   ScheduledExecutorService scheduledExecutorService,
                                   Channelizer channelizer)

  - ### Method Detail

    - #### decode

          protected void decode(io.netty.channel.ChannelHandlerContext ctx,
                                RequestMessage msg,
                                List<Object> objects)
                         throws Exception

      Specified by:
        `decode` in class `io.netty.handler.codec.MessageToMessageDecoder<RequestMessage>`
      Throws:
        `Exception`

    - #### userEventTriggered

          public void userEventTriggered(io.netty.channel.ChannelHandlerContext ctx,
                                         Object evt)
                                  throws Exception

      Specified by:
        `userEventTriggered` in interface `io.netty.channel.ChannelInboundHandler`
      Overrides:
        `userEventTriggered` in class `io.netty.channel.ChannelInboundHandlerAdapter`
      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.